%define anolis_release 4

Summary:        Alternative interface to modules that export symbols
Name:           perl-Importer
Version:        0.026
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Importer
Source0:        https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Importer-%{version}.tar.gz

BuildRequires:  make coreutils perl-generators perl(warnings) 
BuildRequires:  perl-interpreter perl(ExtUtils::MakeMaker) >= 6.76 perl(strict)
#For tests
BuildRequires:  perl(base) perl(Exporter) perl(Test::More) >= 0.98
BuildArch:      noarch

%description
This %{name} module acts as a layer between Exporter and modules which
consume exports. It is feature-compatible with Exporter, plus some much
needed extras. You can use this to import symbols from any exporter that
follows Exporters specification. The exporter modules themselves do not
need to use or inherit from the Exporter module, they just need to set
@EXPORT and/or other variables.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Importer-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{_mandir}/man3/*
%{perl_vendorlib}/*

%files doc
%doc README Changes

%changelog
* Fri Apr 14 2023 Jing Zhang <renyu.zj@linux.alibaba.com> - 0.026-4
- Refact spec

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.026-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.026-2
- rebuild with perl 5.36.0

* Wed Apr 20 2022 zhang xianting <zhangxianting@uniontech.com> - 0.026-1
- Initial build for Anolis V23
